var _minimized = false;
plugin.onAddCustomMenuItems = AddCustomMenuItems;

options.defaultValue( "transparent" ) = true;

function AddCustomMenuItems( Menu )
{
  var Transparency = ( options( "transparent" ) == true );
  
  Menu.AddItem( "Transparent", Transparency ? gddMenuItemFlagChecked : 0, doTransparent );
}

function doTransparent()
{
  if(options( "transparent" ) == false){
		options( "transparent" ) = true;
		Base.src = "base_trans.png";
	}else{
		options( "transparent" ) = false;
		Base.src = "base.png";
	}
}

function view_onminimize()
{
  _minimized = true;
  doTime();
}

function view_onrestore()
{
  _minimized = false;
  view.caption = strTitle;
}

function view_onopen()
{
  doTime();
  if(options( "transparent" ) == false)
		Base.src = "base.png";
	else
		Base.src = "base_trans.png";
}

function doTime()
{
  var Now = new Date();

  MinuteArrow(Now);
  HourArrow(Now);
  
  if ( _minimized )
  {
    var Minutes = Now.getMinutes();
    var Hours = Now.getHours() % 12;
    if( Hours == 0 ) Hours = 12;
    view.caption = Hours + (Minutes < 10 ? ":0" : ":") + Minutes;
  }

  view.setTimeout( "doTime()", 1000 );
}

function MinuteArrow( Now )
{
  var Hours = Now.getHours();
  if( Hours >= 12 ) Hours -= 12;
    
  var Minutes = ( Now.getMinutes() + ( 60 * Hours ) ) / 2;
  HourHand.rotation = Minutes;
}

function HourArrow( Now )
{
  var Seconds = ( Now.getSeconds() + ( 60 * Now.getMinutes() ) ) / 10;
  MinuteHand.rotation = Seconds ;
  SecondsHand.rotation = Now.getSeconds() * 6 ;
}